import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import java.io.*;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamResult;


/*

Modification History
--------------------

Version 1.0
	This example shows how the elements of XML data are read into a program


*/

public class MySAXTransformer{


    static public void main(String[] args) {


		try{
		File f = new File("CarParts.xml");
				FileReader fr = new FileReader(f);
				BufferedReader br = new BufferedReader(fr);
		InputSource inputSource = new InputSource(br);
		TransformerFactory tnsfctry = TransformerFactory.newInstance();

					 Transformer transformer = tnsfctry.newTransformer();
					 SAXSource source = new SAXSource(inputSource);
					 StreamResult result = new StreamResult(System.out);
					 transformer.transform(source,result);
		}
		catch (IOException ioe) {
						// I/O error
						    ioe.printStackTrace();
		}
		catch (TransformerConfigurationException tcex)
		{
			System.out.println(tcex.getMessageAndLocation());
		}
		catch (TransformerException te)
		{
			System.out.println(te.getMessageAndLocation());
		}

 }// end of main



}
