<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0"
  >
  <xsl:output method="xml" indent="yes" 
  	cdata-section-elements="for_CDATA"
  /> 
  
 
  <xsl:template match="processing-instruction()">
         <xsl:processing-instruction
         	name="checkformat"
         />
	<xsl:copy>
         <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>         
         <xsl:comment>
         	This XML is checking out the format with our suppliers>
         </xsl:comment>
  </xsl:template>
         
  <xsl:template match="carparts">
      <carcomponents>
         <xsl:apply-templates/>
      </carcomponents>
    </xsl:template>
    
  <xsl:template match="supplier">
        <componentsupplier>
           <xsl:apply-templates/>
        </componentsupplier>
    </xsl:template>
   
  <xsl:template match="engines">
          <car_engines>
             		<xsl:apply-templates/>
          </car_engines>
    </xsl:template>

  <xsl:template name="copyengineid">
              <xsl:for-each select="@id">
                <xsl:copy/>
              </xsl:for-each>
              <xsl:apply-templates/>
  </xsl:template>
    
   <xsl:template match="engines/engine">
		<xsl:copy>
	         <xsl:call-template name="copyengineid"/>
	        </xsl:copy>                               
       </xsl:template>

<xsl:template match="carbodies">
          <car_bodies>
             <xsl:apply-templates/>
          </car_bodies>
    </xsl:template>

<xsl:template match="carbodies/carbody">
             <body>
                <xsl:apply-templates/>
             </body>
       </xsl:template>

<xsl:template match="wheels">
          <car_wheels>
             <xsl:apply-templates/>
          </car_wheels>
    </xsl:template>

<xsl:template match="wheels/wheel">
             <wheel_type>
                <xsl:apply-templates/>
	             </wheel_type>
       </xsl:template>
  
  <xsl:template match="carstereos">
            <stereos>
               <xsl:apply-templates/>
            </stereos>
      </xsl:template>
  
  <xsl:template match="carstereos/carstereo">
               <stereo>
                  <xsl:apply-templates/>
               </stereo>
         </xsl:template>
 
  <xsl:template match="forCDATA">
                 <for_CDATA>
	                 <xsl:attribute name="Type">FreeText</xsl:attribute>
                    <xsl:apply-templates/>
                  </for_CDATA>
         </xsl:template>
    

</xsl:stylesheet>